<template>
  <Loading class="mt-0"></Loading>
</template>

<script>
export default {
  layout: 'public',
  head() {
    return {
      title: 'Login - RISIS Workspace',
    };
  },
  async mounted() {
    if (this.$auth.loggedIn) {
      this.$router.push({ path: '/' });
    } else {
      await this.$auth.loginWith('keycloak');
    }
  },
};
</script>
